## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/mass-payments
/{id}
cURL

```
GET https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var massPaymentUrl =
  "https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563";

dwolla.get(massPaymentUrl).then((res) => res.body.status); // => 'processing'
```

```
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563'

mass_payment = app_token.get(mass_payment_url)
mass_payment.body['status'] # => 'processing'
```

```
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$massPaymentUrl = 'https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563';

$massPaymentsApi = new DwollaSwagger\MasspaymentsApi($apiClient);

$massPayment = $massPaymentsApi->byId($massPaymentUrl);
$massPayment->status; # => "processing"
?>
```

```
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
mass_payment_url = "https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563"

mass_payment = app_token.get mass_payment_url
mass_payment.status # => "processing"
```

**Response Codes**
- 200
- 403
- 404

```
{
  "_links": {},
  "id": "11ac4051-7b76-44fc-87ab-ae23012393f0",
  "status": "complete",
  "created": "2022-01-20T17:41:41.000Z",
  "metaData": {},
  "total": {
    "value": "5.00",
    "currency": "USD"
  },
  "totalFees": {
    "value": "5.00",
    "currency": "USD"
  },
  "correlationId": "CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"
}
```

```
{
  "code": "Forbidden",
  "message": "Not authorized to retrieve mass payment"
}
```

```
{
  "code": "NotFound",
  "message": "Mass payment not found"
}
```

#### Authorizations

**Authorization**
- Type: string
- Location: header
- Required: Yes
- Description: The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

**Accept**
- Type: enum<string>
- Default: application/vnd.dwolla.v1.hal+json
- Required: Yes
- Description: The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:
- `application/vnd.dwolla.v1.hal+json`

#### Path Parameters

**id**
- Type: string
- Required: Yes
- Description: Mass payment unique identifier

#### Response
- **200**: application/vnd.dwolla.v1.hal+json successful operation

**_links**: object (Show child attributes)

**id**: string
- Example: `"11ac4051-7b76-44fc-87ab-ae23012393f0"`

**status**: string
- Example: `"complete"`

**created**: string<date-time>
- Example: `"2022-01-20T17:41:41.000Z"`

**metaData**: object

**total**: TransferAmount · object (Show child attributes)

**totalFees**: TransferAmount · object (Show child attributes)

**correlationId**: string
- Example: `"CID-8a2cdc8d-629d-4a24-98ac-40b735229fe2"`
